Name:          farstream
Version:       0.2.9
Release:       1mamba
Summary:       A collection of GStreamer modules and libraries for videoconferencing
Group:         Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.freedesktop.org/wiki/Software/Farstream/
Source:        http://freedesktop.org/software/farstream/releases/farstream/farstream-%{version}.tar.gz
Patch0:        farstream-0.2.9-make-4.3.patch
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libglib-devel
BuildRequires: libgst-plugins-base-devel
BuildRequires: libgstreamer-devel
BuildRequires: libgupnp-igd-devel
BuildRequires: libnice-devel
## AUTOBUILDREQ-END
BuildRequires: libnice-devel >= 0.1.8
Provides:      libfarsight2 = %{version}
Obsoletes:     libfarsight2 < 0.0.32

%description
Farstream is a collection of GStreamer modules and libraries for videoconferencing.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      libfarsight2-devel = %{version}
Obsoletes:     libfarsight2-devel <= 0.0.31

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package apidocs
Group:         Documentation
Summary:       %{name} API documentation
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      gtk-doc

%description apidocs
This package includes the %{name} API documentation.

%package -n python-%{name}
Summary:       Python binding for %{name}
Group:         System/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n python-%{name}
Python bindings for %{name}.

%debug_package

%prep
%setup -q
%patch0 -p1
./autogen.sh

%build
%configure \
   --disable-static \
   --with-package-name='openmamba farstream package' \
   --with-package-origin='https://openmamba.org'

#   --enable-gtk-doc \

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

# remove unpackaged files
rm -f %{buildroot}%{python_sitearch}/farstream.*a
rm -f %{buildroot}%{_libdir}/farstream-*/lib*.*a
rm -f %{buildroot}%{_libdir}/gstreamer-*/lib*.*a
rm -f %{buildroot}%{_libdir}/libfarstream-*.a

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_datadir}/farstream/*/fsrawconference/default-element-properties
%{_datadir}/farstream/*/fsrtpconference/default-codec-preferences
%{_datadir}/farstream/*/fsrtpconference/default-element-properties
%{_libdir}/libfarstream-*.so.*
%{_libdir}/girepository-1.0/Farstream-0.2.typelib
%dir %{_libdir}/farstream-*
%{_libdir}/farstream-*/lib*.so
%{_libdir}/gstreamer-*/lib*.so
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/farstream-*/farstream
%{_includedir}/farstream-*/farstream/*
%{_libdir}/libfarstream-*.la
%{_libdir}/libfarstream-*.so
%{_datadir}/gir-1.0/Farstream-0.2.gir
%{_libdir}/pkgconfig/farstream-*.pc
%doc ChangeLog NEWS README

%files apidocs
%defattr(-,root,root)
%{_datadir}/gtk-doc/html/farstream-libs-*/
%{_datadir}/gtk-doc/html/farstream-plugins-*/

#%files -n python-%{name}
#%defattr(-,root,root)
#%{python_sitearch}/farstream.so

%changelog
* Fri May 21 2021 Automatic Build System <autodist@mambasoft.it> 0.2.9-1mamba
- automatic version update by autodist

* Sun Aug 26 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.8-3mamba
- fix for arm, added package name and origin

* Tue Apr 12 2016 Automatic Build System <autodist@mambasoft.it> 0.2.8-2mamba
- automatic version update by autodist

* Tue Apr 12 2016 Automatic Build System <autodist@mambasoft.it> 0.2.8-1mamba
- automatic version update by autodist

* Wed Feb 04 2015 Automatic Build System <autodist@mambasoft.it> 0.2.7-1mamba
- automatic update by autodist

* Tue Nov 04 2014 Automatic Build System <autodist@mambasoft.it> 0.2.6-1mamba
- automatic update by autodist

* Thu Apr 18 2013 Automatic Build System <autodist@mambasoft.it> 0.2.3-1mamba
- automatic version update by autodist

* Fri Nov 16 2012 Automatic Build System <autodist@mambasoft.it> 0.2.2-1mamba
- automatic version update by autodist

* Tue Oct 09 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.1-1mamba
- update to 0.2.1

* Sun Apr 08 2012 Davide Madrisan <davide.madrisan@gmail.com> 0.1.2-1mamba
- package created by autospec
